{ /*
 Both C++ and Pascal insertion file:

 This file sets AUTOINDENT, DEFAULTSELECTION and WRAPKEYS modes
 You may comment the following string out if you don't want it
 because it affects all the examples at a moment

 On the other hand this may be used to change everything at a moment
  */ }

{ /* Pascal needs headers to make this a procedure }

procedure Behaviour(Wnd: hWnd);
begin

{ C++ allows direct inclusion

======================================================================*/}

SendMessage(Wnd,EM_SETRUNTIMEFLAGS,
                EMP_AUTOINDENT + EMP_DEFAULTSELECTION + EMP_WRAPKEYS,
                0);

{/*======================================================================

 Pascal also needs "end" keyword }

end;

{ C++ doesn't need it */ }